Skip to main content
GET
List Nodes

Query Parameters

limit
integer
Required range: 1 <= x <= 50
Example:

1

page
integer
Required range: 1 <= x <= 9007199254740991
Example:

1

sort
string
Example:

"created_at OR -created_at"

filter[region_code]
enum<string> | null

Coarse geographic-network region identifier (AWS-style naming).

Available options:
ca-central-1,
ca-west-1,
mx-central-1,
sa-east-1,
us-east-1,
us-east-2,
us-west-1,
us-west-2,
eu-central-1,
eu-central-2,
eu-north-1,
eu-south-1,
eu-south-2,
eu-west-1,
eu-west-2,
eu-west-3,
ap-east-1,
ap-east-2,
ap-northeast-1,
ap-northeast-2,
ap-northeast-3,
ap-south-1,
ap-south-2,
ap-southeast-1,
ap-southeast-2,
ap-southeast-3,
ap-southeast-4,
ap-southeast-5,
ap-southeast-6,
ap-southeast-7,
cn-north-1,
cn-northwest-1,
af-south-1,
il-central-1,
me-central-1,
me-south-1,
null
Example:

"us-west-2"

filter[node_client_version]
string

Find Nodes with this Node Client version.

Required string length: 1 - 128
Example:

"1.8.0"

filter[created_at]
string
Example:

"2023-01-01,2024-01-01"

filter[last_seen_at]
string
Example:

"2023-01-01,2024-01-01"

filter[status]
enum<string>
Available options:
AVAILABLE,
ASSIGNED,
PREPARING,
WORKING,
STOPPING,
OFFLINE,
DELETED,
RESOURCE_BUSY,
OUTDATED_CLIENT
Example:

"AVAILABLE"

filter[name]
string
filter[operator_account_uuid]
string
filter[country_iso_code]
string
Example:

"US"

filter[continent_code]
enum<string>
Available options:
AF,
AN,
AS,
EU,
NA,
OC,
SA
Example:

"NA"

filter[subdivision_iso_code]
string
Example:

"US-CA"

filter[compliance_tags]
enum<string>
Available options:
GDPR,
EEA
Example:

"GDPR"

filter[uuid]
string
filter[include_deleted]
boolean | null

Response

List of Nodes

data
object[]
required
limit
integer
required
page
integer
required
total
integer
required